commit:     232de144f2e0b2b7a4bddf45b7bf198510b360be
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Wed Dec  5 09:09:06 2018 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Wed Dec  5 09:09:56 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=232de144

sys-apps/i2c-tools: Version bump (v4.1)

Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 sys-apps/i2c-tools/Manifest             |  1 +
 sys-apps/i2c-tools/i2c-tools-4.1.ebuild | 67 +++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/sys-apps/i2c-tools/Manifest b/sys-apps/i2c-tools/Manifest
index a21d52b725b..4c677a42f4f 100644
--- a/sys-apps/i2c-tools/Manifest
+++ b/sys-apps/i2c-tools/Manifest
@@ -1,2 +1,3 @@
 DIST i2c-tools-3.1.1.tar.bz2 71789 BLAKE2B 
0a7a3db6a3b396cfb8d5e58d8c83cae4e52239786502c6552d971350f7fc05a1ce9d7d89e9cdb154a21ac15bdf34aa0dec9501ea45317ec9c5d9fc211780bbf1
 SHA512 
b91f89b803e5558d49ce63f42f6542438f4f47927e4ce420cd9df989cab14a5c55d971befed73e8f793b0cf4aa41936c0ef519e5a407dceb2c08964461e803c5
 DIST i2c-tools-4.0.tar.xz 79972 BLAKE2B 
982e4139ed0e2111f9e082d0690fcc0f86f97a433e292e9464b41991f14a1f90147a3612172bad6880f0df6896612e1dea0ae7bf6f459758b2cff45fb35a5dc7
 SHA512 
ddf86c357c101388193581bc40285089e6ab5e8d870f8aa5d594acc7ecb8596fbd30501e147b88bdea0200b1be88bc0a374356c188d1bcb067bf8e254e3dc51e
+DIST i2c-tools-4.1.tar.xz 83576 BLAKE2B 
0a9ed3bb335b61f6c17a6b6c705502ff008b4fb8bab6a5fde63163a32528b5214d92affc4b8d6cca29676dc7ba82dfa84be5f14943b7e81c8612a7d9419ac628
 SHA512 
83262bcfd94c2adf74517cc50095dd78221fa4d16a62397245d4a538de7463272abf4f6727024be8ab1ca8ecbfe647af85ba2a553e5b5e68a53e50dfcad20248

diff --git a/sys-apps/i2c-tools/i2c-tools-4.1.ebuild 
b/sys-apps/i2c-tools/i2c-tools-4.1.ebuild
new file mode 100644
index 00000000000..f87aa062cf9
--- /dev/null
+++ b/sys-apps/i2c-tools/i2c-tools-4.1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6,3_7} )
+DISTUTILS_OPTIONAL="1"
+
+inherit distutils-r1 flag-o-matic toolchain-funcs
+
+DESCRIPTION="I2C tools for bus probing, chip dumping, EEPROM decoding, and 
more"
+HOMEPAGE="https://www.kernel.org/pub/software/utils/i2c-tools";
+SRC_URI="${HOMEPAGE}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="python static-libs"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="!<sys-apps/lm_sensors-3
+       python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+       default
+       use python && distutils-r1_src_prepare
+}
+
+src_configure() {
+       use python && distutils-r1_src_configure
+}
+
+src_compile() {
+       emake  AR=$(tc-getAR) CC=$(tc-getCC) all-lib # parallel make
+       emake CC=$(tc-getCC)
+       emake -C eepromer CC=$(tc-getCC) CFLAGS="${CFLAGS}"
+
+       if use python ; then
+               cd py-smbus || die
+               append-cppflags -I../include
+               distutils-r1_src_compile
+       fi
+}
+
+src_install() {
+       emake DESTDIR="${D}" libdir="/usr/$(get_libdir)" PREFIX="/usr" 
install-lib install
+       dosbin eepromer/eeprom{,er}
+       rm -rf "${D}"/usr/include || die # part of linux-headers
+       dodoc CHANGES README
+       local d
+       for d in eeprom eepromer ; do
+               docinto ${d}
+               dodoc ${d}/README*
+       done
+
+       if use python ; then
+               cd py-smbus || die
+               docinto py-smbus
+               dodoc README*
+               distutils-r1_src_install
+       fi
+
+       if ! use static-libs; then
+               rm -rf "${D}"/usr/$(get_libdir)/libi2c.a || die
+       fi
+}

Reply via email to